> ## Documentation Index
> Fetch the complete documentation index at: https://docs.advancedwebranking.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Engines

> This operation retrieves the full list of search engines for a project, with their IDs and names, as displayed in the application.



## OpenAPI

````yaml api-reference/openapi.json get /marketshare/projects/{projectId}/search-engines
openapi: 3.0.0
info:
  title: AWR API
  version: 1.0.0
  description: >-
    Advanced Web Ranking API for managing SEO projects, rankings, and market
    share data
servers:
  - url: https://api.advancedwebranking.com/v3
    description: Production server
security:
  - bearerAuth: []
paths:
  /marketshare/projects/{projectId}/search-engines:
    get:
      tags:
        - Market Share
      summary: Search Engines
      description: >-
        This operation retrieves the full list of search engines for a project,
        with their IDs and names, as displayed in the application.
      operationId: getSearchEngines
      parameters:
        - $ref: '#/components/parameters/projectIdPath'
      responses:
        '200':
          description: Successful response
components:
  parameters:
    projectIdPath:
      name: projectId
      in: path
      required: true
      schema:
        type: string
      example: '2'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````